------------------------------------------------------------
--                    GENERIC SWITCH Type 2( Horizontal)  --
--       J. Zahar based on Russ Barlow original Work      --  
------------------------------------------------------------

----------------- FUNCTION DEFINITION ----------------------
-- MODIFY the variables values to the desired function    --
--                                                        --
------------------------------------------------------------
-- Type of switch to display : 
--     1: Horizontal Rocker switch (color RED) with complete black bezel (standalone switch) 
--     2: Horizontal Rocker switch (color RED) with top bezel only (to be assembled with another center or bottom switch)
--     3: Horizontal Rocker switch (color RED) with bottom bezel only (to be assembled with another center or top switch)
--     4: Horizontal Rocker switch (color RED) without top/bottom bezel (to be assembled in between another top or bottom switch)
--     5: Horizontal Rocker switch (color WHITE) with complete black bezel (standalone switch) 
--     6: Horizontal Rocker switch (color WHITE) with top bezel only (to be assembled with another center or bottom switch)
--     7: Horizontal Rocker switch (color WHITE) with bottom bezel only (to be assembled with another center or top switch)
--     8: Horizontal Rocker switch (color WHITE) without top/bottom bezel (to be assembled in between another top or bottom switch)
switch_display_type= 5                                         -- change the number according to the list above (1-8)

-- Xplane Function operated by the switch --
-- modify the variable according to taste --
xpl_switch_function="sim/cockpit/electrical/nav_lights_on"   -- Xplane function/variable to perform
xpl_switch_type="INT"                                           -- Xplane function variable type returned 
-- Fsx Function operated by the switch
-- modify the variable according to taste --
fsx_switch_var="LIGHT NAV"                                 -- FSX Event 
fsx_switch_function="TOGGLE_NAV_LIGHTS"                    -- FSX action to perform
fsx_switch_type="Bool"                                     -- FSX function variable type returned 

------------------------------------------------------------
--  END OF FUNCTION DEFINITION                            --
--  Do not modifiy code beyond this point                 --
------------------------------------------------------------


-- SWITCH
function switch_click_callback(position)

    if position == 0 then
        switch_set_state(switch_id, 1)
        xpl_dataref_write(xpl_switch_function,xpl_switch_type, 1)
        fsx_event(fsx_switch_function)
    elseif position == 1 then
        xpl_dataref_write(xpl_switch_function,xpl_switch_type, 0)
        switch_set_state(switch_id, 0)
        fsx_event(fsx_switch_function)
    end

end

-- if switch_display_type==1 then
		-- switch_id = switch_add("red_hor_complete_off.png", "red_hor_complete_on.png", 0,0,130,70,switch_click_callback)
	-- end
-- if switch_display_type==2 then
		-- switch_id = switch_add("red_hor_complete_off.png", "red_hor_complete_on.png", 0,0,130,70,switch_click_callback)
	-- end
-- if switch_display_type==3 then
		-- switch_id = switch_add("red_hor_complete_off.png", "red_hor_complete_on.png", 0,0,130,70,switch_click_callback)
	-- end	
-- if switch_display_type==4 then
		-- switch_id = switch_add("red_hor_complete_off.png", "red_hor_complete_on.png", 0,0,130,70,switch_click_callback)
	-- end
if switch_display_type==5 then
	switch_id = switch_add("white_hor_complete_off.png", "white_hor_complete_on.png", 0,0,130,70,switch_click_callback)
	end
if switch_display_type==6 then
	switch_id = switch_add("white_hor_top_off.png", "white_hor_top_on.png", 0,0,130,70,switch_click_callback)
	end
if switch_display_type==7 then
	switch_id = switch_add("white_hor_bottom_off.png", "white_hor_bottom_on.png", 0,0,130,70,switch_click_callback)
	end
if switch_display_type==8 then
	switch_id = switch_add("white_hor_center_off.png", "white_hor_center_on.png", 0,0,130,70,switch_click_callback)
	end

	function new_switch_pos(sw_on)

    if sw_on == 0 then
        switch_set_state(switch_id, 0)
    elseif sw_on == 1 then
        switch_set_state(switch_id, 1)
    end
    
end


function new_switch_pos_fsx(sw_on)

    sw_on = fif(sw_on, 1, 0)
    new_switch_pos(sw_on)

end

xpl_dataref_subscribe(xpl_switch_function,xpl_switch_type,new_switch_pos)
fsx_variable_subscribe(fsx_switch_function, "Bool", new_switch_pos_fsx)
